function doConfirmAction(pAction, pMsg, pId) {
  loadPageConfirm(pMsg, '&action=' + pAction + '&id=' + pId);
}

function doConfirmActionRemoveMember(pMsg, pId, pUserName) {
  loadPageConfirm(pMsg, '&page=details&action=removemember&id=' + pId + '&username=' + pUserName);
}

function doIndexConfirmAction(pAction, pMsg) {
  doConfirmAction(pAction, pMsg, getOptSelValue(formByName('index').elements['id']));
}

function doPopupActionAddMember(pId, pUserName) {
  goOpener('index.php?umi=admin_groups&page=details&action=addmember&id=' + pId + '&username=' + pUserName);
  window.close();
}

function goAccessProfile() {
  var S = getSelectSelValue(formByName('details').elements['accessprofile']);
  if (S != '')
    go('index.php?umi=admin_access&page=details&id=' + S);
}

function goGroupLeader() {
  var S = getSelectSelValue(formByName('details').elements['leader']);
  if (S != '')
    go('index.php?umi=admin_users&page=details&id=' + S);
}

function popupAddMember(pId) {
  popupWindow('plain.php?umi=admin_groups&page=addmember.pop&id=' + pId, 300, 420);
}

function viewInfoBoxAccess(pId) {
  if (pId != '')
    viewInfoBox('access' + pId, 'plain.php?umi=admin_access&page=access.info&id=' + pId);
}

function viewInfoBoxAccess2() {
  viewInfoBoxAccess(getSelectSelValue(formByName('details').elements['accessprofile']));
}

function viewInfoBoxUser(pId) {
  if (pId != '')
    viewInfoBox('user' + pId, 'plain.php?umi=admin_users&page=user.info&id=' + pId);
}

function viewInfoBoxUser2() {
  viewInfoBoxUser(getSelectSelValue(formByName('details').elements['leader']));
}